[PVE-User] New 2.6.32 Kernel with stable OpenVZ (pvetest)

Martin Maurer martin at proxmox.com
Mon Sep 12 21:20:23 CEST 2011


Hi,

Pls reply also to the list. Back to your question. We maintain a stable repository (pve) and a testing one (pvetest). You just need to adapt your /etc/apt/sources.list file to update a 1.8 with the latest pvetest packages. But as we already plan to release 1.9 tomorrow you can just grab the new ISO including latest and greatest (which will be available on www.proxmox.com<http://www.proxmox.com>).

Martin

From: subsystems.mike at gmail.com [mailto:subsystems.mike at gmail.com] On Behalf Of Mike Whitenton
Sent: Montag, 12. September 2011 21:16
To: Martin Maurer
Subject: Re: [PVE-User] New 2.6.32 Kernel with stable OpenVZ (pvetest)

I checked here ftp://download.proxmox.com/debian/dists/lenny/pvetest/binary-amd64/ and didn't see an ISO. Should we start with pve 1.8 ISO, install and install each of the most recent .deb files? I'm new to Linux and Proxmox, how do I go about making an ISO once everything is up to date?

Thank you.
On Wed, Sep 7, 2011 at 12:27 AM, Martin Maurer <martin at proxmox.com<mailto:martin at proxmox.com>> wrote:
Hi all,

We just released a new kernel to the pvetest repository. This one includes the long awaited stable OpenVZ patches for 2.6.32 and also support for KSM. Additionally, this kernel will also be used (more or less) for the upcoming 2.0 beta which is expected end of Q3.

Everybody is encouraged to test and give feedback before we move it to the stable repository (and name it Proxmox VE 1.9, also new ISO image).

Release notes:

- pve-kernel-2.6.32 (2.6.32-41)
rebase on vzkernel-2.6.32-042stab036.1.src.rpm (new stable Openvz kernel branch), updates for drivers including e1000e to 1.5.1, ARECA RAID driver, megaraid_sas, bnx2, igb to 3.0.22, ixgbe to 3.3.9, drbd 8.3.10, ...

- vzctl (3.0.28-1pve5)
update to latest upstream

set defaull template to debian-6.0-standard
set CONFIGFILE="pve.auto" in /etc/vz/vz.conf
merge some fixes from upstream

- pve-manager (1.8-22)
fix uptime display for 2.6.32 kernel with 1000HZ
support newer vzctl versions.
support 'maxfiles' backup option.

- pve-qemu-kvm (0.15.0-1)
update to upstream 0.15.0
use pxe roms from upstream qemu-kvm

- qemu-server (1.1-31)
small fixes for new qemu-kvm 0.15.0

- libpve-storage-perl (1.0-19)
set LC_ALL instead of LANG (avoid bug when user sets LC_ environment variables)
iscsi: tolerate errors when not all portals are online.

- vzdump (1.2-15)
run pre-restart hook after snapshot

After installing, your 'pveversion -v' should look like this:
pveversion -v

pve-manager: 1.8-22 (pve-manager/1.8/6531)
running kernel: 2.6.32-6-pve
proxmox-ve-2.6.32: 1.8-41
pve-kernel-2.6.32-6-pve: 2.6.32-41
qemu-server: 1.1-31
pve-firmware: 1.0-13
libpve-storage-perl: 1.0-19
vncterm: 0.9-2
vzctl: 3.0.28-1pve5
vzdump: 1.2-15
vzprocps: 2.0.11-2
vzquota: 3.0.11-1
pve-qemu-kvm: 0.15.0-1
ksm-control-daemon: 1.0-6


Best Regards,

Martin Maurer

martin at proxmox.com<mailto:martin at proxmox.com>
http://www.proxmox.com


_______________________________________________
pve-user mailing list
pve-user at pve.proxmox.com<mailto:pve-user at pve.proxmox.com>
http://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-user

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://pve.proxmox.com/pipermail/pve-user/attachments/20110912/4f9ce4c4/attachment-0014.html>


More information about the pve-user mailing list